package vo

type RespBase struct {
	Code    int    `json:"code"`    //错误码
	Message string `json:"message"` //成功还是失败
}

type PayQrCodeReq struct {
	//g.Meta `path:"/wxApi/payQrCode" method:"post" tags:"PayService" summary:"Sign up a new user account"`
	ShopId  string `json:"shopId"`  //商户ID
	Price   string `json:"price"`   //商品原价
	Amount  string `json:"amount"`  //支付价格
	Bean    string `json:"bean"`    //抵扣金豆
	OpenId  string `json:"openId"`  //微信OpenId
	Mobile  string `json:"mobile"`  //支付用户手机号
	Channel int    `json:"channel"` //支付渠道 1.微信 2.支付宝
}
type PayQrCodeResp struct {
	RespBase
}
type YseJavaResp struct {
	Sign       string `json:"sign"`
	BizContent string `json:"biz_content"`
}
